datacache <- new.env(hash=TRUE, parent=emptyenv())

ragene11stv1rnug <- function() showQCData("ragene11stv1rnug", datacache)
ragene11stv1rnug_dbconn <- function() dbconn(datacache)
ragene11stv1rnug_dbfile <- function() dbfile(datacache)
ragene11stv1rnug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
ragene11stv1rnug_dbInfo <- function() dbInfo(datacache)

ragene11stv1rnugORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "ragene11stv1rnug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("RATCHIP_DB", "ragene11stv1rnug", "chip ragene11stv1rnug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("ragene11stv1rnug.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(ragene11stv1rnug_dbconn())
}

